ALTER TABLE parts ADD COLUMN is_liquor BOOLEAN;
ALTER TABLE parts ALTER COLUMN is_liquor SET DEFAULT FALSE;
ALTER TABLE chart ADD PRIMARY KEY (id);
ALTER TABLE acc_trans ADD FOREIGN KEY (chart_id) REFERENCES chart(id);
ALTER TABLE acc_trans ALTER COLUMN chart_id SET NOT NULL;

CREATE SCHEMA reporting;
GRANT USAGE ON SCHEMA reporting TO PUBLIC;

CREATE OR REPLACE VIEW reporting.day_parts_sold AS
SELECT ar.duedate, min(i.description) AS description, sum(i.sellprice) 
	AS revenue, sum(i.qty) AS qty, i.parts_id
   FROM ar, invoice i
  WHERE ar.id = i.trans_id
  GROUP BY ar.duedate, i.parts_id;

